Skip to content

List git repos for a project

GET
/projects/{id}/git-repos

Returns all configured git repos for the given project. Requires Pro plan or self-hosted (free) edition.

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*

Project ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"repos": [
  
  
{
  
  
  
"_id": "string",
  
  
  
"project": "string",
  
  
  
"name": "string",
  
  
  
"repo_url": "string",
  
  
  
"branch": "string",
  
  
  
"auth_token": "string",
  
  
  
"sync_interval": 0,
  
  
  
"enabled": true,
  
  
  
"notes_path": "string",
  
  
  
"memories_path": "string",
  
  
  
"sync_path": "string",
  
  
  
"trash_on_delete": true,
  
  
  
"last_sync_status": "string",
  
  
  
"last_synced_at": "string",
  
  
  
"last_sync_error": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI